Subject: bug#37626: Identical describe-bindings makes different sized *Help* buffers

From: Eli Zaretskii <[email-masked]>
Date: Fri, 04 Oct 2019 22:38:11 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 4 Oct 2019 19:58:47 +0200
> Cc: [email-masked]
> 
> I see 1128 and 1779 lines on current master.  Diffing the *Help*
> buffers, it seems to be a lot of stuff like this:
> 
> +C-x 8 ` SPC    `
> +C-x 8 ` A      À
> +C-x 8 ` E      È
> +C-x 8 ` I      Ì
> +C-x 8 ` O      Ò
> +C-x 8 ` U      Ù
> +C-x 8 ` a      à
> +C-x 8 ` e      è
> +C-x 8 ` i      ì
> +C-x 8 ` o      ò
> +C-x 8 ` u      ù
> 
> But when I run "emacs -Q" and immediately type C-x 8 ` A, I get the À
> character as above (even though C-h b wouldn't have shown it in this
> state).  If I type C-h b _after_ that sequence that yields 1779 lines
> in *Help*.
> 
> I guess this has something to do with autoloading, but I'll leave this
> to the experts.

Yes.  This is expected behavior, not a bug or anything near that.